{
    attributes = (
        {
            allowsNull = Y; 
            columnName = BANQ_CODE; 
            externalType = VARCHAR2; 
            name = banqCode; 
            valueClassName = NSString; 
            width = 9; 
        }, 
        {
            allowsNull = Y; 
            columnName = HIST_NUMERO; 
            externalType = NUMBER; 
            name = histNumero; 
            precision = 38; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = PAIE_DATE; 
            externalType = DATE; 
            name = paieDate; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            allowsNull = Y; 
            columnName = PAIE_NOM_TIREUR; 
            externalType = VARCHAR2; 
            name = paieNomTireur; 
            valueClassName = NSString; 
            width = 30; 
        }, 
        {
            columnName = PAIE_NUMERO; 
            externalType = NUMBER; 
            name = paieNumero; 
            precision = 38; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = PAIE_NUMERO_CHEQUE; 
            externalType = VARCHAR2; 
            name = paieNumeroCheque; 
            valueClassName = NSString; 
            width = 7; 
        }, 
        {
            allowsNull = Y; 
            columnName = PAIE_NUMERO_COMPTE; 
            externalType = VARCHAR2; 
            name = paieNumeroCompte; 
            valueClassName = NSString; 
            width = 11; 
        }, 
        {
            allowsNull = Y; 
            columnName = PAIE_PRENOM_TIREUR; 
            externalType = VARCHAR2; 
            name = paiePrenomTireur; 
            valueClassName = NSString; 
            width = 30; 
        }, 
        {
            columnName = PAIE_SOMME; 
            externalType = NUMBER; 
            name = paieSomme; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            columnName = PAIE_TRANSACTION; 
            externalType = VARCHAR2; 
            name = paieTransaction; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            columnName = RCPT_CODE; 
            externalType = VARCHAR2; 
            name = rcptCode; 
            valueClassName = NSString; 
            width = 3; 
        }
    ); 
    attributesUsedForLocking = (paieNumero); 
    className = EOGenericRecord; 
    classProperties = (
        paieNumero, 
        histNumero, 
        paieNomTireur, 
        paiePrenomTireur, 
        rcptCode, 
        banqCode, 
        paieNumeroCheque, 
        paieNumeroCompte, 
        paieSomme, 
        paieDate, 
        paieTransaction
    ); 
    externalName = PAIEMENT; 
    fetchSpecificationDictionary = {}; 
    name = Paiement; 
    primaryKeyAttributes = (paieNumero); 
}
